WSE · Schnittstellen

Produkte & Leistungen

Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.

OpenAPI herunterladen ↓
REST · JSONBearer-Authentifizierung

Produkte & Leistungen

ERP API Dokumentation

Get Product

Request

Retrieve a specific product with all related references and prices.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
GET
/products/{product_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product found.

Bodyapplication/json
product_group_idstring, (uuid4)(Product Group Id)required

Product group ID of the product

Example:"10cf0055-bb74-4657-bd4c-49a785ddb23e"
product_idstring, (uuid4)(Product Id)required

Product ID of the product

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
product_groupobject(ProductGroup)required
accountobject(Account)required
product_numberinteger or null(Product Number)
Any of:

Product number of the product

integer
product_unit_idstring or null(Product Unit Id)
Any of:

Unit ID of the product

string (uuid4)
descriptionstring or null(Description)
Any of:

Name of the product

<= 200 characters
string
product_descriptionstring or null(Product Description)
Any of:

Optional description of the product

string
account_idstring or null(Account Id)
Any of:

Account ID of the product

string (uuid4)
terms_idstring or null(Terms Id)
Any of:

Optional duration term ID of the product. Use null to clear the relation on PATCH.

string (uuid4)
discountableboolean or null(Discountable)
Any of:

If true, service-level percentage discounts can be applied to this product during billing

boolean
pro_rataboolean or null(Pro Rata)
Any of:

Pro rata of the product

boolean
cycle_typestring(CycleType)

Cycle type of the product

Default:"once"
Enum:"once""monthly""quarterly""half_yearly""yearly"
Example:"once"
product_unitProductUnit (object) or null
Any of:

Product unit

termsTerms (object) or null
Any of:

Terms associated with the product

product_featureArray of objects or null(Product Feature)
Any of:

Features of the product

product_pricesArray of objects or null(Product Prices)
Any of:

Historical price details of the product

current_priceProductPriceResponse (object) or null
Any of:

Note: Monetary derived fields are calculated in the service layer to avoid business logic in schemas.

product_relationshipsArray of objects or null(Product Relationships)
Any of:

Relationships from this product to other products

Response
{ "product_number": 1, "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729", "description": "Product 1", "product_description": "Detailed description of Product 1", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f", "discountable": true, "pro_rata": true, "cycle_type": "once", "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_unit": { "description": "kg", "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "product_group": { "description": "Grundgebühr", "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "account": { "description": "Erlöse 19%", "account_no": "4400", "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "terms": { "description": "Default", "first_min_term_value": 12, "first_cancellation_period_value": 3, "min_term_value": 12, "cancellation_period_value": 3, "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "product_feature": [ { … } ], "product_prices": [ { … } ], "current_price": { "net_price": "10.00", "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "valid_from": "2021-01-01", "intro_net_price": "7.50", "intro_duration_months": 6, "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "tax_type": { … }, "gross_price": "11.90", "intro_gross_price": "8.93" }, "product_relationships": [ { … } ] }

Update Product

Request

Update a specific product and validate all related references.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
Bodyapplication/jsonrequired
product_numberinteger or null(Product Number)
Any of:

Product number of the product

integer
product_unit_idstring or null(Product Unit Id)
Any of:

Unit ID of the product

string (uuid4)
descriptionstring or null(Description)
Any of:

Name of the product

<= 200 characters
string
product_descriptionstring or null(Product Description)
Any of:

Optional description of the product

string
account_idstring or null(Account Id)
Any of:

Account ID of the product

string (uuid4)
terms_idstring or null(Terms Id)
Any of:

Optional duration term ID of the product. Use null to clear the relation on PATCH.

string (uuid4)
discountableboolean or null(Discountable)
Any of:

If true, service-level percentage discounts can be applied to this product during billing

boolean
pro_rataboolean or null(Pro Rata)
Any of:

Pro rata of the product

boolean
cycle_typeCycleType (string) or null
Any of:

Cycle type of the product

string(CycleType)
Enum:"once""monthly""quarterly""half_yearly""yearly"
product_group_idstring or null(Product Group Id)
Any of:

Product group ID of the product

string (uuid4)
PATCH
/products/{product_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/products/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "product_number": 1,
  "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
  "description": "Product 1",
  "product_description": "Detailed description of Product 1",
  "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
  "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
  "discountable": true,
  "pro_rata": true,
  "cycle_type": "once",
  "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e"
}'

Responses

Product updated.

Bodyapplication/json
product_group_idstring, (uuid4)(Product Group Id)required

Product group ID of the product

Example:"10cf0055-bb74-4657-bd4c-49a785ddb23e"
product_idstring, (uuid4)(Product Id)required

Product ID of the product

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
product_numberinteger or null(Product Number)
Any of:

Product number of the product

integer
product_unit_idstring or null(Product Unit Id)
Any of:

Unit ID of the product

string (uuid4)
descriptionstring or null(Description)
Any of:

Name of the product

<= 200 characters
string
product_descriptionstring or null(Product Description)
Any of:

Optional description of the product

string
account_idstring or null(Account Id)
Any of:

Account ID of the product

string (uuid4)
terms_idstring or null(Terms Id)
Any of:

Optional duration term ID of the product. Use null to clear the relation on PATCH.

string (uuid4)
discountableboolean or null(Discountable)
Any of:

If true, service-level percentage discounts can be applied to this product during billing

boolean
pro_rataboolean or null(Pro Rata)
Any of:

Pro rata of the product

boolean
cycle_typestring(CycleType)

Cycle type of the product

Default:"once"
Enum:"once""monthly""quarterly""half_yearly""yearly"
Example:"once"
Response
{ "product_number": 1, "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729", "description": "Product 1", "product_description": "Detailed description of Product 1", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f", "discountable": true, "pro_rata": true, "cycle_type": "once", "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX" }

Delete Product

Request

Delete a specific product, if no related records exist.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
DELETE
/products/{product_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/products/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product deleted successfully

Bodyapplication/json
messagestring(Message)required
Response
{ "message": "string" }

Get Product Import Schema Endpoint

Request

Return the fixed product CSV import contract.

Security
BearerAuth
GET
/products/import/schema
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/import/schema' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
import_typestring(Import Type)required
allowed_delimitersArray of strings(Allowed Delimiters)required
allowed_encodingsArray of strings(Allowed Encodings)required
fieldsArray of objects(Fields)required
fixed_column_orderboolean(Fixed Column Order)
Default:true
header_validationstring(Header Validation)
Default:"exact"
Value:"exact"
data_mappingstring(Data Mapping)
Default:"position"
Value:"position"
Response
{ "import_type": "string", "fixed_column_order": true, "header_validation": "exact", "data_mapping": "position", "allowed_delimiters": [ "string" ], "allowed_encodings": [ "string" ], "fields": [ { … } ] }

Get Product Import Template Endpoint

Request

Return a product CSV import header template.

Security
BearerAuth
Query
delimiterstring(Delimiter)
Default:","
GET
/products/import/template.csv
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/import/template.csv?delimiter=%2C' \
  --header 'Accept: text/csv' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

CSV template containing the product import header row.

Bodytext/csv
string
Response
string

Import Products

Request

Import products and one new price per product from a CSV upload.

Security
BearerAuth
Bodymultipart/form-datarequired
filestring(File)required
has_headerboolean(Has Header)required
encodingstring(Encoding)
Default:"utf-8"
delimiterstring(Delimiter)
Default:","
POST
/products/import
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/products/import' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --form-string 'file=string' \
  --form-string 'has_header=true' \
  --form-string 'encoding=utf-8' \
  --form-string 'delimiter=,'

Responses

Successful Response

Bodyapplication/json
total_rowsinteger(Total Rows)required
created_productsinteger(Created Products)required
updated_productsinteger(Updated Products)required
created_pricesinteger(Created Prices)required
import_datestring, (date)(Import Date)required
statusstring(Status)
Default:"accepted"
Response
{ "status": "accepted", "total_rows": 0, "created_products": 0, "updated_products": 0, "created_prices": 0, "import_date": "2019-08-24" }

Get All Products

Request

Retrieve all products with pagination, sorting and filtering.

Note:

  • This endpoint returns compact items (without full historical price list).
  • current_price is selected via a correlated subquery (valid_from <= today), so only one price row per product is loaded.
Security
BearerAuth
Query
skipinteger, >= 0(Skip)

Number of records to skip for pagination

Default:0
limitinteger, [ 1 .. 2000 ](Limit)

Maximum number of records to return

Default:100
sort_bystring(Sort By)

Field used for sorting

Default:"product_number"
Enum:"product_number""description""last_change""cycle_type""discountable""pro_rata""product_group.description""account.account_no""account.description""product_unit.description"
sort_orderstring(Sort Order)

Sort direction

Default:"asc"
Enum:"asc""desc"
descriptionstring or null(Description)
Any of:

Filter by description using a case-insensitive partial match

string
searchstring or null(Search)
Any of:

Global dropdown search. Values shorter than three trimmed characters are ignored.

<= 200 characters
string
product_numberinteger or null(Product Number)
Any of:

Filter by product_number using exact match

integer
product_group_idstring or null(Product Group Id)
Any of:

Filter by product_group_id using exact match

string (uuid4)
account_idstring or null(Account Id)
Any of:

Filter by account_id using exact match

string (uuid4)
product_unit_idstring or null(Product Unit Id)
Any of:

Filter by product_unit_id using exact match

string (uuid4)
cycle_typeCycleType (string) or null(Cycle Type)
Any of:

Filter by cycle_type using exact match

string(CycleType)
Enum:"once""monthly""quarterly""half_yearly""yearly"
discountableboolean or null(Discountable)
Any of:

Filter by discountable using exact match

boolean
pro_rataboolean or null(Pro Rata)
Any of:

Filter by pro_rata using exact match

boolean
tax_type_idstring or null(Tax Type Id)
Any of:

Filter by the tax_type_id of the current product price using exact match

string (uuid4)
featureArray of strings, <= 20 items(Feature)

Exact product feature filter in key=value format. Repeat the parameter to require multiple feature pairs.

GET
/products
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products?skip=0&limit=100&sort_by=product_number&sort_order=asc&description=string&search=string&product_number=0&product_group_id=string&account_id=string&product_unit_id=string&cycle_type=once&discountable=true&pro_rata=true&tax_type_id=string&feature=string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Products found.

Bodyapplication/json
total_countinteger(Total Count)required

Total number of products in the database

Example:100
itemsArray of objects(Items)required

List of products

Response
{ "total_count": 100, "items": [ { … } ] }

Create Product

Request

Create a new product entry including its mandatory initial price.

Security
BearerAuth
Bodyapplication/jsonrequired
descriptionstring, <= 200 characters(Description)required

Name of the product

Example:"Product 1"
account_idstring, (uuid4)(Account Id)required

Account ID of the product

Example:"0b803418-3181-4e81-9916-f73d57f46dbf"
product_group_idstring, (uuid4)(Product Group Id)required

Product group ID of the product

Example:"10cf0055-bb74-4657-bd4c-49a785ddb23e"
product_numberinteger or null(Product Number)
Any of:

Product number of the product

integer
product_unit_idstring or null(Product Unit Id)
Any of:

Unit ID of the product

string (uuid4)
product_descriptionstring or null(Product Description)
Any of:

Optional description of the product

string
terms_idstring or null(Terms Id)
Any of:

Optional duration term ID of the product. Use null to clear the relation on PATCH.

string (uuid4)
discountableboolean(Discountable)

If true, service-level percentage discounts can be applied to this product during billing

Default:false
Example:true
pro_rataboolean(Pro Rata)

Pro rata of the product

Default:false
Example:true
cycle_typestring(CycleType)

Cycle type of the product

Default:"once"
Enum:"once""monthly""quarterly""half_yearly""yearly"
Example:"once"
priceProductPriceCreate (object) or null
Any of:

Initial product price to create together with the product.

POST
/products
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/products' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "product_number": 1,
  "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
  "description": "Product 1",
  "product_description": "Detailed description of Product 1",
  "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
  "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
  "discountable": true,
  "pro_rata": true,
  "cycle_type": "once",
  "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
  "price": {
    "net_price": "10.00",
    "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "valid_from": "2021-01-01",
    "intro_net_price": "7.50",
    "intro_duration_months": 6
  }
}'

Responses

Product created.

Bodyapplication/json
product_group_idstring, (uuid4)(Product Group Id)required

Product group ID of the product

Example:"10cf0055-bb74-4657-bd4c-49a785ddb23e"
product_idstring, (uuid4)(Product Id)required

Product ID of the product

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
product_numberinteger or null(Product Number)
Any of:

Product number of the product

integer
product_unit_idstring or null(Product Unit Id)
Any of:

Unit ID of the product

string (uuid4)
descriptionstring or null(Description)
Any of:

Name of the product

<= 200 characters
string
product_descriptionstring or null(Product Description)
Any of:

Optional description of the product

string
account_idstring or null(Account Id)
Any of:

Account ID of the product

string (uuid4)
terms_idstring or null(Terms Id)
Any of:

Optional duration term ID of the product. Use null to clear the relation on PATCH.

string (uuid4)
discountableboolean or null(Discountable)
Any of:

If true, service-level percentage discounts can be applied to this product during billing

boolean
pro_rataboolean or null(Pro Rata)
Any of:

Pro rata of the product

boolean
cycle_typestring(CycleType)

Cycle type of the product

Default:"once"
Enum:"once""monthly""quarterly""half_yearly""yearly"
Example:"once"
Response
{ "product_number": 1, "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729", "description": "Product 1", "product_description": "Detailed description of Product 1", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f", "discountable": true, "pro_rata": true, "cycle_type": "once", "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX" }

Get Next Product Number

Request

Get a non-reserving product-number suggestion that may become stale.

Security
BearerAuth
GET
/products/next-number
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/next-number' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
next_numberinteger, >= 1(Next Number)required

Next suggested free number

Example:123
Response
{ "next_number": 123 }

Get Product Group

Request

Retrieve a specific product group by its ID.

Security
BearerAuth
Path
product_group_idstring, (uuid4)(Product Group Id)required
GET
/product-groups/{product_group_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/product-groups/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product group found.

Bodyapplication/json
product_group_idstring, (uuid4)(Product Group Id)required

Product group ID of the product group

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
descriptionstring or null(Description)
Any of:

Description of the product group

<= 200 characters
string
Response
{ "description": "Grundgebühr", "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Update Product Group

Request

Update a specific product group in the database.

Security
BearerAuth
Path
product_group_idstring, (uuid4)(Product Group Id)required
Bodyapplication/jsonrequired
descriptionstring or null(Description)
Any of:

Description of the product group

<= 200 characters
string
PATCH
/product-groups/{product_group_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/product-groups/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "description": "Grundgebühr"
}'

Responses

Product group updated.

Bodyapplication/json
product_group_idstring, (uuid4)(Product Group Id)required

Product group ID of the product group

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
descriptionstring or null(Description)
Any of:

Description of the product group

<= 200 characters
string
Response
{ "description": "Grundgebühr", "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Delete Product Group

Request

Delete a product group

Security
BearerAuth
Path
product_group_idstring, (uuid4)(Product Group Id)required
DELETE
/product-groups/{product_group_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/product-groups/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product group deleted successfully.

Bodyapplication/json
any
Response
// No response sample

Get All Product Groups

Request

Retrieve all product groups with pagination, sorting and filtering.

Security
BearerAuth
Query
skipinteger, >= 0(Skip)

Number of records to skip for pagination

Default:0
limitinteger, [ 1 .. 1000 ](Limit)

Maximum number of records to return

Default:100
sort_bystring(Sort By)

Field used for sorting

Default:"last_change"
Enum:"last_change""description"
sort_orderstring(Sort Order)

Sort direction

Default:"asc"
Enum:"asc""desc"
descriptionstring or null(Description)
Any of:

Filter by description using LIKE

string
GET
/product-groups
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/product-groups?skip=0&limit=100&sort_by=last_change&sort_order=asc&description=string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

List of product groups.

Bodyapplication/json
total_countinteger(Total Count)required

Total number of product groups in the database

Example:100
itemsArray of objects(Items)required

List of product groups

Response
{ "total_count": 100, "items": [ { … } ] }

Create Product Group

Request

Create a new product group

Security
BearerAuth
Bodyapplication/jsonrequired
descriptionstring, <= 200 characters(Description)required

Description of the product group

Example:"Grundgebühr"
POST
/product-groups
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/product-groups' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "description": "Grundgebühr"
}'

Responses

Product group created.

Bodyapplication/json
product_group_idstring, (uuid4)(Product Group Id)required

Product group ID of the product group

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
descriptionstring or null(Description)
Any of:

Description of the product group

<= 200 characters
string
Response
{ "description": "Grundgebühr", "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Get Product Price

Request

Retrieve a specific product price for a product, including product and tax_type.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
product_price_idstring, (uuid4)(Product Price Id)required
GET
/products/{product_id}/product-prices/{product_price_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/string/product-prices/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product price found.

Bodyapplication/json
product_price_idstring, (uuid4)(Product Price Id)required

Price ID of the product price.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
tax_typeobject(TaxType)required
net_pricestring or null(Net Price)
Any of:

Net price of the product price.

string
tax_type_idstring or null(Tax Type Id)
Any of:

Tax ID of the product price.

string (uuid4)
valid_fromstring, (date)(Valid From)

Valid from of the product price. If omitted, it is valid from the beginning.

Default:"1900-01-01"
Example:"2021-01-01"
intro_net_pricestring or null(Intro Net Price)
Any of:

Optional intro net price (valid for intro_duration_months).

string
intro_duration_monthsinteger or null(Intro Duration Months)
Any of:

Optional intro duration in months (must be set if intro_net_price is set).

>= 1
integer
gross_pricestring or null(Gross Price)
Any of:

Gross price of the product price. Calculated in the service layer using net_price and tax_type.taxrate.

string
intro_gross_pricestring or null(Intro Gross Price)
Any of:

Gross intro price of the product price (only if intro fields are set). Calculated in the service layer using intro_net_price and tax_type.taxrate.

string
Response
{ "net_price": "10.00", "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "valid_from": "2021-01-01", "intro_net_price": "7.50", "intro_duration_months": 6, "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "tax_type": { "description": "Taxes Type 1", "taxrate": "19.00", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c", "last_change": "2019-08-24T14:15:22Z" }, "gross_price": "11.90", "intro_gross_price": "8.93" }

Update Product Price

Request

Update a specific product price belonging to a product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
product_price_idstring, (uuid4)(Product Price Id)required
Bodyapplication/jsonrequired
net_pricenumber or string or null(Net Price)
Any of:

Net price of the product price.

number
tax_type_idstring or null(Tax Type Id)
Any of:

Tax ID of the product price.

string (uuid4)
valid_fromstring, (date)(Valid From)

Valid from of the product price. If omitted, it is valid from the beginning.

Default:"1900-01-01"
Example:"2021-01-01"
intro_net_pricenumber or string or null(Intro Net Price)
Any of:

Optional intro net price (valid for intro_duration_months).

number
intro_duration_monthsinteger or null(Intro Duration Months)
Any of:

Optional intro duration in months (must be set if intro_net_price is set).

>= 1
integer
PATCH
/products/{product_id}/product-prices/{product_price_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/products/string/product-prices/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "net_price": "10.00",
  "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
  "valid_from": "2021-01-01",
  "intro_net_price": "7.50",
  "intro_duration_months": 6
}'

Responses

Product price updated successfully

Bodyapplication/json
product_price_idstring, (uuid4)(Product Price Id)required

Price ID of the product price.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
net_pricestring or null(Net Price)
Any of:

Net price of the product price.

string
tax_type_idstring or null(Tax Type Id)
Any of:

Tax ID of the product price.

string (uuid4)
valid_fromstring, (date)(Valid From)

Valid from of the product price. If omitted, it is valid from the beginning.

Default:"1900-01-01"
Example:"2021-01-01"
intro_net_pricestring or null(Intro Net Price)
Any of:

Optional intro net price (valid for intro_duration_months).

string
intro_duration_monthsinteger or null(Intro Duration Months)
Any of:

Optional intro duration in months (must be set if intro_net_price is set).

>= 1
integer
Response
{ "net_price": "10.00", "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "valid_from": "2021-01-01", "intro_net_price": "7.50", "intro_duration_months": 6, "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Delete Product Price

Request

Delete a product price associated with a specific product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
product_price_idstring, (uuid4)(Product Price Id)required
DELETE
/products/{product_id}/product-prices/{product_price_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/products/string/product-prices/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product price deleted successfully.

Bodyapplication/json
messagestring(Message)required
Response
{ "message": "string" }

Get All Product Prices

Request

Retrieve all product prices for a product with pagination, including product and tax_type.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
Query
skipinteger, >= 0(Skip)

Number of records to skip

Default:0
limitinteger, [ 1 .. 1000 ](Limit)

Maximum number of records to return

Default:100
GET
/products/{product_id}/product-prices
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/string/product-prices?skip=0&limit=100' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

List of product prices.

Bodyapplication/json
total_countinteger(Total Count)required

Total number of product prices in the database.

Example:100
itemsArray of objects(Items)required

List of product prices.

Response
{ "total_count": 100, "items": [ { … } ] }

Create Product Price

Request

Create a new product price for a specific product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
Bodyapplication/jsonrequired
net_pricenumber or string(Net Price)required
Any of:

Net price of the product price.

number
tax_type_idstring, (uuid4)(Tax Type Id)required

Tax ID of the product price.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
valid_fromstring, (date)(Valid From)

Valid from of the product price. If omitted, it is valid from the beginning.

Default:"1900-01-01"
Example:"2021-01-01"
intro_net_pricenumber or string or null(Intro Net Price)
Any of:

Optional intro net price (valid for intro_duration_months).

number
intro_duration_monthsinteger or null(Intro Duration Months)
Any of:

Optional intro duration in months (must be set if intro_net_price is set).

>= 1
integer
POST
/products/{product_id}/product-prices
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/products/string/product-prices' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "net_price": "10.00",
  "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
  "valid_from": "2021-01-01",
  "intro_net_price": "7.50",
  "intro_duration_months": 6
}'

Responses

Product price created.

Bodyapplication/json
product_price_idstring, (uuid4)(Product Price Id)required

Price ID of the product price.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
net_pricestring or null(Net Price)
Any of:

Net price of the product price.

string
tax_type_idstring or null(Tax Type Id)
Any of:

Tax ID of the product price.

string (uuid4)
valid_fromstring, (date)(Valid From)

Valid from of the product price. If omitted, it is valid from the beginning.

Default:"1900-01-01"
Example:"2021-01-01"
intro_net_pricestring or null(Intro Net Price)
Any of:

Optional intro net price (valid for intro_duration_months).

string
intro_duration_monthsinteger or null(Intro Duration Months)
Any of:

Optional intro duration in months (must be set if intro_net_price is set).

>= 1
integer
Response
{ "net_price": "10.00", "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "valid_from": "2021-01-01", "intro_net_price": "7.50", "intro_duration_months": 6, "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Get Product Unit

Request

Get a specific product unit.

Security
BearerAuth
Path
product_unit_idstring, (uuid4)(Product Unit Id)required
GET
/product-units/{product_unit_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/product-units/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product unit found.

Bodyapplication/json
product_unit_idstring, (uuid4)(Product Unit Id)required

Product unit ID of the product unit

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
descriptionstring or null(Description)
Any of:

Description of the product unit

<= 200 characters
string
Response
{ "description": "kg", "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Update Product Unit

Request

Update a specific product unit.

Security
BearerAuth
Path
product_unit_idstring, (uuid4)(Product Unit Id)required
Bodyapplication/jsonrequired
descriptionstring or null(Description)
Any of:

Description of the product unit

<= 200 characters
string
PATCH
/product-units/{product_unit_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/product-units/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "description": "kg"
}'

Responses

Product unit updated.

Bodyapplication/json
product_unit_idstring, (uuid4)(Product Unit Id)required

Product unit ID of the product unit

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
descriptionstring or null(Description)
Any of:

Description of the product unit

<= 200 characters
string
Response
{ "description": "kg", "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Delete Product Unit

Request

Delete a specific product unit.

Security
BearerAuth
Path
product_unit_idstring, (uuid4)(Product Unit Id)required
DELETE
/product-units/{product_unit_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/product-units/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product unit deleted successfully.

Bodyapplication/json
messagestring(Message)required
Response
{ "message": "string" }

Get All Product Units

Request

Get all product units, with the option to limit the scope.

Security
BearerAuth
Query
skipinteger, >= 0(Skip)
Default:0
limitinteger, [ 1 .. 1000 ](Limit)
Default:100
GET
/product-units
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/product-units?skip=0&limit=100' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product units found.

Bodyapplication/json
total_countinteger(Total Count)required

Total number of product units in the database

Example:100
itemsArray of objects(Items)required

List of product units

Response
{ "total_count": 100, "items": [ { … } ] }

Create Product Unit

Request

Create a product unit.

Security
BearerAuth
Bodyapplication/jsonrequired
descriptionstring, <= 200 characters(Description)required

Description of the product unit

Example:"kg"
POST
/product-units
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/product-units' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "description": "kg"
}'

Responses

Product unit created.

Bodyapplication/json
product_unit_idstring, (uuid4)(Product Unit Id)required

Product unit ID of the product unit

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
descriptionstring or null(Description)
Any of:

Description of the product unit

<= 200 characters
string
Response
{ "description": "kg", "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Read Product Feature

Request

Get a specific Product Feature if it belongs to the given product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
product_feature_idstring, (uuid4)(Product Feature Id)required
GET
/products/{product_id}/product-features/{product_feature_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/string/product-features/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product Feature found.

Bodyapplication/json
product_feature_idstring, (uuid4)(Product Feature Id)required

Primary key of the product feature

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
product_feature_keyobject(ProductFeatureKey)required
product_feature_key_idstring or null(Product Feature Key Id)
Any of:

Product feature key ID of the product feature key

string (uuid4)
valuestring or null(Value)
Any of:

Value of the product feature

<= 200 characters
string
Response
{ "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "value": "red", "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "product_feature_key": { "description": "color", "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" } }

Update Product Feature

Request

Update a specific Product Feature if it belongs to the given product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
product_feature_idstring, (uuid4)(Product Feature Id)required
Bodyapplication/jsonrequired
product_feature_key_idstring or null(Product Feature Key Id)
Any of:

Product feature key ID of the product feature key

string (uuid4)
valuestring or null(Value)
Any of:

Value of the product feature

<= 200 characters
string
PATCH
/products/{product_id}/product-features/{product_feature_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/products/string/product-features/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
  "value": "red"
}'

Responses

Product Feature updated.

Bodyapplication/json
product_feature_idstring, (uuid4)(Product Feature Id)required

Primary key of the product feature

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
product_feature_key_idstring or null(Product Feature Key Id)
Any of:

Product feature key ID of the product feature key

string (uuid4)
valuestring or null(Value)
Any of:

Value of the product feature

<= 200 characters
string
Response
{ "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "value": "red", "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Delete Product Feature

Request

Delete a specific Product Feature

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
product_feature_idstring, (uuid4)(Product Feature Id)required
DELETE
/products/{product_id}/product-features/{product_feature_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/products/string/product-features/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product Feature deleted successfully.

Bodyapplication/json
any
Response
// No response sample

Read Product Features

Request

Get all Product Features for a specific Product, with optional pagination.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
Query
skipinteger(Skip)
Default:0
limitinteger(Limit)
Default:100
GET
/products/{product_id}/product-features
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/string/product-features?skip=0&limit=100' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product Features found.

Bodyapplication/json
total_countinteger(Total Count)required

Total number of product features in the database

Example:100
itemsArray of objects(Items)required

List of product features

Response
{ "total_count": 100, "items": [ { … } ] }

Create Product Feature

Request

Create a new Product Feature for the given product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
Bodyapplication/jsonrequired
product_feature_key_idstring, (uuid4)(Product Feature Key Id)required

Product feature key ID of the product feature key

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
valuestring, <= 200 characters(Value)required

Value of the product feature

Example:"red"
POST
/products/{product_id}/product-features
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/products/string/product-features' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
  "value": "red"
}'

Responses

Product Feature created.

Bodyapplication/json
product_feature_idstring, (uuid4)(Product Feature Id)required

Primary key of the product feature

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
product_feature_key_idstring or null(Product Feature Key Id)
Any of:

Product feature key ID of the product feature key

string (uuid4)
valuestring or null(Value)
Any of:

Value of the product feature

<= 200 characters
string
Response
{ "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "value": "red", "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Read Product Feature Key

Request

Get a specific Product Feature Key

Security
BearerAuth
Path
product_feature_key_idstring, (uuid4)(Product Feature Key Id)required
GET
/product-feature-keys/{product_feature_key_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/product-feature-keys/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product Feature Key found.

Bodyapplication/json
product_feature_key_idstring, (uuid4)(Product Feature Key Id)required

Primary key of the product feature key

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
descriptionstring or null(Description)
Any of:

Name of the product feature key

<= 200 characters
string
Response
{ "description": "color", "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Update Product Feature Key

Request

Update a specific Product Feature Key

Security
BearerAuth
Path
product_feature_key_idstring, (uuid4)(Product Feature Key Id)required
Bodyapplication/jsonrequired
descriptionstring or null(Description)
Any of:

Name of the product feature key

<= 200 characters
string
PATCH
/product-feature-keys/{product_feature_key_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/product-feature-keys/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "description": "color"
}'

Responses

Product Feature Key updated.

Bodyapplication/json
product_feature_key_idstring, (uuid4)(Product Feature Key Id)required

Primary key of the product feature key

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
descriptionstring or null(Description)
Any of:

Name of the product feature key

<= 200 characters
string
Response
{ "description": "color", "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Delete Product Feature Key

Request

Delete a specific product feature key if no features are referencing it.

Security
BearerAuth
Path
product_feature_key_idstring, (uuid4)(Product Feature Key Id)required
DELETE
/product-feature-keys/{product_feature_key_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/product-feature-keys/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product Feature Key deleted successfully.

Bodyapplication/json
any
Response
// No response sample

Read Product Feature Keys

Request

Get all Product Feature Keys, with the option to limit the scope

Security
BearerAuth
Query
skipinteger(Skip)
Default:0
limitinteger(Limit)
Default:100
GET
/product-feature-keys
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/product-feature-keys?skip=0&limit=100' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product Feature Keys found.

Bodyapplication/json
total_countinteger(Total Count)required

Total number of product feature keys in the database

Example:100
itemsArray of objects(Items)required

List of product feature keys

Response
{ "total_count": 100, "items": [ { … } ] }

Create Product Feature Key

Request

Create a new Product Feature Key.

Security
BearerAuth
Bodyapplication/jsonrequired
descriptionstring, <= 200 characters(Description)required

Name of the product feature key

Example:"color"
POST
/product-feature-keys
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/product-feature-keys' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "description": "color"
}'

Responses

Product Feature Key created.

Bodyapplication/json
product_feature_key_idstring, (uuid4)(Product Feature Key Id)required

Primary key of the product feature key

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
descriptionstring or null(Description)
Any of:

Name of the product feature key

<= 200 characters
string
Response
{ "description": "color", "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Read Product Relationship

Request

Get one relationship from either involved product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
product_relationship_idstring, (uuid4)(Product Relationship Id)required
GET
/products/{product_id}/product-relationships/{product_relationship_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/string/product-relationships/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product relationship found.

Bodyapplication/json
product_relationship_idstring, (uuid4)(Product Relationship Id)required
product_relationship_type_idstring, (uuid4)(Product Relationship Type Id)required
product_relationship_type_role_idstring, (uuid4)(Product Relationship Type Role Id)required
product_idstring, (uuid4)(Product Id)required
related_product_idstring, (uuid4)(Related Product Id)required
relationship_type_descriptionstring, [ 1 .. 200 ] characters(Relationship Type Description)required
last_changestring, (date-time)(Last Change)required
Response
{ "product_relationship_id": "string", "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "product_id": "string", "related_product_id": "string", "relationship_type_description": "string", "last_change": "2019-08-24T14:15:22Z" }

Update Product Relationship

Request

Update one relationship relative to either involved product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
product_relationship_idstring, (uuid4)(Product Relationship Id)required
Bodyapplication/jsonrequired
related_product_idstring or null(Related Product Id)
Any of:

Product ID of the related product

string (uuid4)
product_relationship_type_role_idstring or null(Product Relationship Type Role Id)
Any of:

Directional product relationship type role ID

string (uuid4)
PATCH
/products/{product_id}/product-relationships/{product_relationship_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/products/string/product-relationships/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "related_product_id": "XXXXXXXX-XXXX-4XXX-8XXX-XXXXXXXXXXXX",
  "product_relationship_type_role_id": "XXXXXXXX-XXXX-4XXX-8XXX-XXXXXXXXXXXX"
}'

Responses

Product relationship updated.

Bodyapplication/json
product_relationship_idstring, (uuid4)(Product Relationship Id)required
product_relationship_type_idstring, (uuid4)(Product Relationship Type Id)required
product_relationship_type_role_idstring, (uuid4)(Product Relationship Type Role Id)required
product_idstring, (uuid4)(Product Id)required
related_product_idstring, (uuid4)(Related Product Id)required
relationship_type_descriptionstring, [ 1 .. 200 ] characters(Relationship Type Description)required
last_changestring, (date-time)(Last Change)required
Response
{ "product_relationship_id": "string", "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "product_id": "string", "related_product_id": "string", "relationship_type_description": "string", "last_change": "2019-08-24T14:15:22Z" }

Delete Product Relationship

Request

Delete one relationship from either involved product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
product_relationship_idstring, (uuid4)(Product Relationship Id)required
DELETE
/products/{product_id}/product-relationships/{product_relationship_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/products/string/product-relationships/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product Relationship deleted successfully

Bodyapplication/json
any
Response
// No response sample

Read Product Relationships

Request

Get outgoing and incoming relationships relative to one product.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
Query
skipinteger, >= 0(Skip)
Default:0
limitinteger, [ 1 .. 1000 ](Limit)
Default:100
GET
/products/{product_id}/product-relationships
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/products/string/product-relationships?skip=0&limit=100' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product relationships found.

Bodyapplication/json
total_countinteger(Total Count)required
itemsArray of objects(Items)required
Response
{ "total_count": 0, "items": [ { … } ] }

Create Product Relationship

Request

Create one relationship that is visible from both involved products.

Security
BearerAuth
Path
product_idstring, (uuid4)(Product Id)required
Bodyapplication/jsonrequired
related_product_idstring, (uuid4)(Related Product Id)required
product_relationship_type_role_idstring, (uuid4)(Product Relationship Type Role Id)required
POST
/products/{product_id}/product-relationships
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/products/string/product-relationships' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "related_product_id": "string",
  "product_relationship_type_role_id": "string"
}'

Responses

Product relationship created.

Bodyapplication/json
product_relationship_idstring, (uuid4)(Product Relationship Id)required
product_relationship_type_idstring, (uuid4)(Product Relationship Type Id)required
product_relationship_type_role_idstring, (uuid4)(Product Relationship Type Role Id)required
product_idstring, (uuid4)(Product Id)required
related_product_idstring, (uuid4)(Related Product Id)required
relationship_type_descriptionstring, [ 1 .. 200 ] characters(Relationship Type Description)required
last_changestring, (date-time)(Last Change)required
Response
{ "product_relationship_id": "string", "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "product_id": "string", "related_product_id": "string", "relationship_type_description": "string", "last_change": "2019-08-24T14:15:22Z" }

Get All Product Relationship Types

Request

Return the editable catalog of product relationship type definitions.

Security
BearerAuth
Query
skipinteger, >= 0(Skip)
Default:0
limitinteger, [ 1 .. 1000 ](Limit)
Default:100
GET
/product-relationship-types
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/product-relationship-types?skip=0&limit=100' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product relationship types found.

Bodyapplication/json
total_countinteger(Total Count)required
itemsArray of objects(Items)required
Response
{ "total_count": 0, "items": [ { … } ] }

Create Product Relationship Type

Request

Create a complete symmetric or asymmetric type definition atomically.

Security
BearerAuth
Bodyapplication/jsonrequired
descriptionstring, [ 1 .. 200 ] characters(Description)required
is_symmetricboolean(Is Symmetric)required
inverse_descriptionstring or null(Inverse Description)
Any of:
[ 1 .. 200 ] characters
string
POST
/product-relationship-types
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/product-relationship-types' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "description": "string",
  "is_symmetric": true,
  "inverse_description": "string"
}'

Responses

Product relationship type created.

Bodyapplication/json
product_relationship_type_idstring, (uuid4)(Product Relationship Type Id)required
product_relationship_type_role_idstring, (uuid4)(Product Relationship Type Role Id)required
descriptionstring, [ 1 .. 200 ] characters(Description)required
is_symmetricboolean(Is Symmetric)required
is_in_useboolean(Is In Use)required
last_changestring, (date-time)(Last Change)required
inverse_product_relationship_type_role_idstring or null(Inverse Product Relationship Type Role Id)
Any of:
string (uuid4)
inverse_descriptionstring or null(Inverse Description)
Any of:
[ 1 .. 200 ] characters
string
Response
{ "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "description": "string", "is_symmetric": true, "inverse_product_relationship_type_role_id": "string", "inverse_description": "string", "is_in_use": true, "last_change": "2019-08-24T14:15:22Z" }

Get Product Relationship Type

Request

Return one product relationship type definition.

Security
BearerAuth
Path
product_relationship_type_idstring, (uuid4)(Product Relationship Type Id)required
GET
/product-relationship-types/{product_relationship_type_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/product-relationship-types/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product relationship type found.

Bodyapplication/json
product_relationship_type_idstring, (uuid4)(Product Relationship Type Id)required
product_relationship_type_role_idstring, (uuid4)(Product Relationship Type Role Id)required
descriptionstring, [ 1 .. 200 ] characters(Description)required
is_symmetricboolean(Is Symmetric)required
is_in_useboolean(Is In Use)required
last_changestring, (date-time)(Last Change)required
inverse_product_relationship_type_role_idstring or null(Inverse Product Relationship Type Role Id)
Any of:
string (uuid4)
inverse_descriptionstring or null(Inverse Description)
Any of:
[ 1 .. 200 ] characters
string
Response
{ "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "description": "string", "is_symmetric": true, "inverse_product_relationship_type_role_id": "string", "inverse_description": "string", "is_in_use": true, "last_change": "2019-08-24T14:15:22Z" }

Update Product Relationship Type

Request

Update only the user-facing descriptions of a type definition.

Security
BearerAuth
Path
product_relationship_type_idstring, (uuid4)(Product Relationship Type Id)required
Bodyapplication/jsonrequired
descriptionstring or null(Description)
Any of:
[ 1 .. 200 ] characters
string
inverse_descriptionstring or null(Inverse Description)
Any of:
[ 1 .. 200 ] characters
string
PATCH
/product-relationship-types/{product_relationship_type_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/product-relationship-types/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "description": "string",
  "inverse_description": "string"
}'

Responses

Product relationship type updated.

Bodyapplication/json
product_relationship_type_idstring, (uuid4)(Product Relationship Type Id)required
product_relationship_type_role_idstring, (uuid4)(Product Relationship Type Role Id)required
descriptionstring, [ 1 .. 200 ] characters(Description)required
is_symmetricboolean(Is Symmetric)required
is_in_useboolean(Is In Use)required
last_changestring, (date-time)(Last Change)required
inverse_product_relationship_type_role_idstring or null(Inverse Product Relationship Type Role Id)
Any of:
string (uuid4)
inverse_descriptionstring or null(Inverse Description)
Any of:
[ 1 .. 200 ] characters
string
Response
{ "product_relationship_type_id": "string", "product_relationship_type_role_id": "string", "description": "string", "is_symmetric": true, "inverse_product_relationship_type_role_id": "string", "inverse_description": "string", "is_in_use": true, "last_change": "2019-08-24T14:15:22Z" }

Delete Product Relationship Type

Request

Delete an unused type definition and all of its directional roles.

Security
BearerAuth
Path
product_relationship_type_idstring, (uuid4)(Product Relationship Type Id)required
DELETE
/product-relationship-types/{product_relationship_type_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/product-relationship-types/string' \
  --header 'Accept: application/problem+json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Product relationship type deleted.

Response
No content

Get Service

Request

Retrieve a specific service for a customer.

Security
BearerAuth
Path
customer_idstring, (uuid4)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
GET
/customers/{customer_id}/services/{service_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/customers/string/services/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Service found.

Bodyapplication/json
service_idstring, (uuid4)(Service Id)required

Contract ID of the service

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
customer_idstring, (uuid4)(Customer Id)required

Customer ID of the customer

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
termsobject(Terms)required
earliest_possible_termination_datestring or null(Earliest Possible Termination Date)read-onlyrequired
Any of:

Earliest possible termination date of the service

string (date)read-only
effective_earliest_termination_datestring or null(Effective Earliest Termination Date)read-onlyrequired
Any of:

Latest termination date imposed by service or product terms

string (date)read-only
service_numberinteger or null(Service Number)
Any of:

Service number of the service

integer
descriptionstring or null(Description)
Any of:

Description of the duration terms

<= 200 characters
string
discount_percentagestring(Discount Percentage)^(?!^[-+.]*$)[+-]?0*(?:\d{0,3}|(?=[\d.]{1,8}0...

Percentage discount applied to all discountable products of the service

Default:"0.0000"
Example:"1.05"
terms_idstring or null(Terms Id)
Any of:

Duration term ID of the service

string (uuid4)
date_activestring or null(Date Active)
Any of:

Date active of the service

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date deactive of the service

string (date)
date_signedstring or null(Date Signed)
Any of:

Date signed of the service

string (date)
date_createdstring or null(Date Created)
Any of:

Date created of the service

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Duration start date of the service

string (date)
productsArray of objects or null(Products)
Any of:

List of products of the service

addressesArray of objects or null(Addresses)
Any of:

Addresses of this Service

price_summaryobject(ServicePriceSummary)

Full-cycle service prices grouped by billing interval

Response
{ "service_number": 1, "description": "Default", "discount_percentage": "1.05", "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "date_signed": "2021-01-10", "date_created": "2021-01-01", "duration_start_date": "2021-01-01", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "terms": { "description": "Default", "first_min_term_value": 12, "first_cancellation_period_value": 3, "min_term_value": 12, "cancellation_period_value": 3, "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "products": [ { … } ], "addresses": [ { … } ], "price_summary": { "currency": "EUR", "complete": true, "one_time": { … }, "recurring": [ … ] }, "earliest_possible_termination_date": "2021-01-01", "effective_earliest_termination_date": "2021-01-01" }

Update Service

Request

Update a specific service for a customer

Security
BearerAuth
Path
customer_idstring, (uuid)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
Bodyapplication/jsonrequired
service_numberinteger or null(Service Number)
Any of:

Service number of the service

integer
descriptionstring or null(Description)
Any of:

Description of the service

string
discount_percentagenumber or string(Discount Percentage)
Any of:

Percentage discount applied to all discountable products of the service

[ 0 .. 100 ]
number
terms_idstring or null(Terms Id)
Any of:

Duration term ID of the service

string (uuid4)
date_activestring or null(Date Active)
Any of:

Date active of the service

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date deactive of the service

string (date)
date_signedstring or null(Date Signed)
Any of:

Date signed of the service

string (date)
date_createdstring or null(Date Created)
Any of:

Date created of the service

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Duration start date of the service

string (date)
PATCH
/customers/{customer_id}/services/{service_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "service_number": 1,
  "description": "Service 1",
  "discount_percentage": "1.05",
  "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
  "date_active": "2021-02-01",
  "date_deactivate": "2022-01-01",
  "date_signed": "2021-01-10",
  "date_created": "2021-01-01",
  "duration_start_date": "2021-01-01"
}'

Responses

Service updated.

Bodyapplication/json
service_idstring, (uuid4)(Service Id)required

Contract ID of the service

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
customer_idstring, (uuid4)(Customer Id)required

Customer ID of the customer

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
service_numberinteger or null(Service Number)
Any of:

Service number of the service

integer
descriptionstring or null(Description)
Any of:

Description of the duration terms

<= 200 characters
string
discount_percentagestring(Discount Percentage)^(?!^[-+.]*$)[+-]?0*(?:\d{0,3}|(?=[\d.]{1,8}0...

Percentage discount applied to all discountable products of the service

Default:"0.0000"
Example:"1.05"
terms_idstring or null(Terms Id)
Any of:

Duration term ID of the service

string (uuid4)
date_activestring or null(Date Active)
Any of:

Date active of the service

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date deactive of the service

string (date)
date_signedstring or null(Date Signed)
Any of:

Date signed of the service

string (date)
date_createdstring or null(Date Created)
Any of:

Date created of the service

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Duration start date of the service

string (date)
Response
{ "service_number": 1, "description": "Default", "discount_percentage": "1.05", "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "date_signed": "2021-01-10", "date_created": "2021-01-01", "duration_start_date": "2021-01-01", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Delete Service

Request

Delete a service for a customer

Security
BearerAuth
Path
customer_idstring, (uuid)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
DELETE
/customers/{customer_id}/services/{service_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Service deleted successfully.

Bodyapplication/json
any
Response
// No response sample

Get Services

Request

Retrieve all services for a given customer.

Security
BearerAuth
Path
customer_idstring, (uuid4)(Customer Id)required
Query
skipinteger, >= 0(Skip)
Default:0
limitinteger, [ 1 .. 500 ](Limit)
Default:100
GET
/customers/{customer_id}/services
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/customers/string/services?skip=0&limit=100' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

List of services found.

Bodyapplication/json
total_countinteger(Total Count)required

Total number of services in the database

Example:100
itemsArray of objects(Items)required

List of services

Response
{ "total_count": 100, "items": [ { … } ] }

Create Service

Request

Create a new service

Security
BearerAuth
Path
customer_idstring, (uuid)(Customer Id)required
Bodyapplication/jsonrequired
terms_idstring, (uuid4)(Terms Id)required

Duration term ID of the service

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
service_numberinteger or null(Service Number)
Any of:

Service number of the service

integer
descriptionstring or null(Description)
Any of:

Description of the service

string
discount_percentagenumber or string(Discount Percentage)
Any of:

Percentage discount applied to all discountable products of the service

[ 0 .. 100 ]
number
date_activestring or null(Date Active)
Any of:

Date active of the service

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date deactive of the service

string (date)
date_signedstring or null(Date Signed)
Any of:

Date signed of the service

string (date)
date_createdstring or null(Date Created)
Any of:

Date created of the service

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Duration start date of the service

string (date)
POST
/customers/{customer_id}/services
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "service_number": 1,
  "description": "Service 1",
  "discount_percentage": "1.05",
  "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
  "date_active": "2021-02-01",
  "date_deactivate": "2022-01-01",
  "date_signed": "2021-01-10",
  "date_created": "2021-01-01",
  "duration_start_date": "2021-01-01"
}'

Responses

Service created.

Bodyapplication/json
service_idstring, (uuid4)(Service Id)required

Contract ID of the service

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
customer_idstring, (uuid4)(Customer Id)required

Customer ID of the customer

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
service_numberinteger or null(Service Number)
Any of:

Service number of the service

integer
descriptionstring or null(Description)
Any of:

Description of the duration terms

<= 200 characters
string
discount_percentagestring(Discount Percentage)^(?!^[-+.]*$)[+-]?0*(?:\d{0,3}|(?=[\d.]{1,8}0...

Percentage discount applied to all discountable products of the service

Default:"0.0000"
Example:"1.05"
terms_idstring or null(Terms Id)
Any of:

Duration term ID of the service

string (uuid4)
date_activestring or null(Date Active)
Any of:

Date active of the service

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date deactive of the service

string (date)
date_signedstring or null(Date Signed)
Any of:

Date signed of the service

string (date)
date_createdstring or null(Date Created)
Any of:

Date created of the service

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Duration start date of the service

string (date)
Response
{ "service_number": 1, "description": "Default", "discount_percentage": "1.05", "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "date_signed": "2021-01-10", "date_created": "2021-01-01", "duration_start_date": "2021-01-01", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Get Next Service Number

Request

Get a non-reserving service-number suggestion that may become stale.

Security
BearerAuth
GET
/services/next-number
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/services/next-number' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
next_numberinteger, >= 1(Next Number)required

Next suggested free number

Example:123
Response
{ "next_number": 123 }

Get Service Customer Context

Request

Retrieve a specific service for a customer including customer context.

Security
BearerAuth
Path
customer_idstring, (uuid4)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
GET
/customers/{customer_id}/services/{service_id}/customer-context
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/customers/string/services/string/customer-context' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Service found.

Bodyapplication/json
customer_idstring, (uuid4)(Customer Id)required

Customer ID of the customer

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
customer_groupobject(CustomerGroup)required

Customer group assigned to the customer

billcycleobject(Billcycle)required

Billing cycle associated with the customer

serviceobject(ServiceResponse)required

Service of this Customer

customer_numberinteger or null(Customer Number)
Any of:

Customer number of the customer

integer
debitor_account_nointeger or null(Debitor Account No)
Any of:

Debitor account number of the customer

integer
descriptionstring or null(Description)
Any of:

Description of the customer

string
notestring or null(Note)
Any of:

Internal note of the customer

string
invoice_grouping_overrideInvoiceGrouping (string) or null
Any of:

Optional invoice grouping override; null inherits the global billing setting

string(InvoiceGrouping)
Enum:"by_customer""by_service"
customer_group_idstring or null(Customer Group Id)
Any of:

Customer group ID of the customer

string (uuid4)
billcycle_idstring or null(Billcycle Id)
Any of:

Billcycle ID of the customer

string (uuid4)
legal_form_idstring or null(Legal Form Id)
Any of:

Legal form ID of the customer

string (uuid4)
payment_target_idstring or null(Payment Target Id)
Any of:

Payment target ID of the customer

string (uuid4)
business_registerstring or null(Business Register)
Any of:

Name of the business register, e.g. 'Handelsregister'

string
registercodestring or null(Registercode)
Any of:

Code of the register, e.g. 'HRB'

string
registerplacestring or null(Registerplace)
Any of:

Place of the register, e.g. 'Berlin'

string
tax_identification_nostring or null(Tax Identification No)
Any of:

Tax identification number, e.g. 'DE123456789'

string
anonymized_atstring or null(Anonymized At)
Any of:

UTC timestamp after irreversible customer master-data anonymization

string (date-time)
payment_targetPaymentTarget (object) or null
Any of:

Payment target of this customer

active_paymentboolean(Active Payment)

True when the customer currently has an active payment.

Default:false
Example:true
addressesArray of objects or null(Addresses)
Any of:

Addresses of this Customer

paymentsArray of objects or null(Payments)
Any of:

Payments of this Customer

Response
{ "customer_number": "456789", "debitor_account_no": 1000, "description": "Customer 1", "note": "Preferred contact via email", "invoice_grouping_override": "by_customer", "customer_group_id": "027480d3-e7ca-47e4-b515-eb12c17d5fb2", "billcycle_id": "1f68b834-6655-41ad-9b53-1cec389b9c46", "legal_form_id": "c31d65ec-d386-493e-ad46-773c403dc89d", "payment_target_id": "123e4567-e89b-12d3-a456-426614174000", "business_register": "Handelsregister", "registercode": "HRB", "registerplace": "Berlin", "tax_identification_no": "DE123456789", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "anonymized_at": "2019-08-24T14:15:22Z", "payment_target": { "description": "Zahlungsziel 1", "target_1_days": 7, "target_1_skonto": "3.0", "target_2_days": 14, "target_2_skonto": "2.0", "target_3_days": 30, "target_3_skonto": "1.0", "payment_target_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "active_payment": true, "addresses": [ { … } ], "payments": [ { … } ], "customer_group": { "description": "Customer Group 1", "customer_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "billcycle": { "description": "for special customers", "billcycle_key": "BC1", "billcycle_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "company_legal_form": { "description": "GmbH", "legal_form_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }, "service": { "service_number": 1, "description": "Default", "discount_percentage": "1.05", "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "date_signed": "2021-01-10", "date_created": "2021-01-01", "duration_start_date": "2021-01-01", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "customer_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "terms": { … }, "products": [ … ], "addresses": [ … ], "price_summary": { … }, "earliest_possible_termination_date": "2021-01-01", "effective_earliest_termination_date": "2021-01-01" } }

Update Service Product

Request

Update a specific service-product relationship.

Security
BearerAuth
Path
customer_idstring, (uuid)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
service_product_idstring, (uuid4)(Service Product Id)required
Bodyapplication/jsonrequired
product_countnumber or string(Product Count)
Any of:

Quantity of the product on the service (supports fractional quantities).

> 0
number
date_activestring or null(Date Active)
Any of:

Date when this product becomes active on the service.

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date when this product is deactivated on the service.

string (date)
different_pricenumber or string or null(Different Price)
Any of:

Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).

number
different_product_textstring or null(Different Product Text)
Any of:

Custom display text for the product when linked to the service.

string
bill_untilstring or null(Bill Until)
Any of:

Date until which the product is billed for this service.

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Start date for the duration calculation of this service product.

string (date)
PATCH
/customers/{customer_id}/services/{service_id}/product/{service_product_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request PATCH \
  --url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/product/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "product_count": "1",
  "date_active": "2021-02-01",
  "date_deactivate": "2022-01-01",
  "different_price": "1.00",
  "different_product_text": "Different product text",
  "bill_until": "2022-01-01",
  "duration_start_date": "2021-01-01"
}'

Responses

Service product updated.

Bodyapplication/json
service_product_idstring, (uuid4)(Service Product Id)required

Service-product link ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
service_idstring, (uuid4)(Service Id)required

Service ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
product_idstring, (uuid4)(Product Id)required

Product ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
product_countstring(Product Count)^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$

Quantity of the product on the service (supports fractional quantities).

Default:"1"
Example:"1"
date_activestring or null(Date Active)
Any of:

Date when this product becomes active on the service.

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date when this product is deactivated on the service.

string (date)
different_pricestring or null(Different Price)
Any of:

Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).

string
different_product_textstring or null(Different Product Text)
Any of:

Custom display text for the product when linked to the service.

string
bill_untilstring or null(Bill Until)
Any of:

Date until which the product is billed for this service.

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Start date for the duration calculation of this service product.

string (date)
Response
{ "product_count": "1", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "different_price": "1.00", "different_product_text": "Different product text", "bill_until": "2022-01-01", "duration_start_date": "2021-01-01", "service_product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Delete Service Product

Request

Delete a specific service-product relation

Security
BearerAuth
Path
customer_idstring, (uuid)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
service_product_idstring, (uuid4)(Service Product Id)required
DELETE
/customers/{customer_id}/services/{service_id}/product/{service_product_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request DELETE \
  --url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/product/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Service product deleted successfully.

Bodyapplication/json
any
Response
// No response sample

Create Service Product

Request

Create a new service-product relationship

Security
BearerAuth
Path
customer_idstring, (uuid)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
Bodyapplication/jsonrequired
product_idstring, (uuid4)(Product Id)required

Product ID linked to the service.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
product_countnumber or string(Product Count)
Any of:

Quantity of the product on the service (supports fractional quantities).

> 0
number
date_activestring or null(Date Active)
Any of:

Date when this product becomes active on the service.

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date when this product is deactivated on the service.

string (date)
different_pricenumber or string or null(Different Price)
Any of:

Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).

number
different_product_textstring or null(Different Product Text)
Any of:

Custom display text for the product when linked to the service.

string
bill_untilstring or null(Bill Until)
Any of:

Date until which the product is billed for this service.

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Start date for the duration calculation of this service product.

string (date)
POST
/customers/{customer_id}/services/{service_id}/product
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/product' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "product_count": "1",
  "date_active": "2021-02-01",
  "date_deactivate": "2022-01-01",
  "different_price": "1.00",
  "different_product_text": "Different product text",
  "bill_until": "2022-01-01",
  "duration_start_date": "2021-01-01",
  "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
}'

Responses

Service product created.

Bodyapplication/json
service_product_idstring, (uuid4)(Service Product Id)required

Service-product link ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
service_idstring, (uuid4)(Service Id)required

Service ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
product_idstring, (uuid4)(Product Id)required

Product ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
product_countstring(Product Count)^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$

Quantity of the product on the service (supports fractional quantities).

Default:"1"
Example:"1"
date_activestring or null(Date Active)
Any of:

Date when this product becomes active on the service.

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date when this product is deactivated on the service.

string (date)
different_pricestring or null(Different Price)
Any of:

Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).

string
different_product_textstring or null(Different Product Text)
Any of:

Custom display text for the product when linked to the service.

string
bill_untilstring or null(Bill Until)
Any of:

Date until which the product is billed for this service.

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Start date for the duration calculation of this service product.

string (date)
Response
{ "product_count": "1", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "different_price": "1.00", "different_product_text": "Different product text", "bill_until": "2022-01-01", "duration_start_date": "2021-01-01", "service_product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z" }

Get Service Product

Request

Retrieve a specific service product by ID.

Security
BearerAuth
Path
customer_idstring, (uuid4)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
service_product_idstring, (uuid4)(Service Product Id)required
GET
/customers/{customer_id}/services/{service_id}/products/{service_product_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/customers/string/services/string/products/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Service product found.

Bodyapplication/json
service_product_idstring, (uuid4)(Service Product Id)required

Service-product link ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
service_idstring, (uuid4)(Service Id)required

Service ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
product_idstring, (uuid4)(Product Id)required

Product ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
productobject(ProductCompactResponse)required
earliest_possible_termination_datestring or null(Earliest Possible Termination Date)read-onlyrequired
Any of:

Earliest possible termination date of the service product

string (date)read-only
product_countstring(Product Count)^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$

Quantity of the product on the service (supports fractional quantities).

Default:"1"
Example:"1"
date_activestring or null(Date Active)
Any of:

Date when this product becomes active on the service.

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date when this product is deactivated on the service.

string (date)
different_pricestring or null(Different Price)
Any of:

Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).

string
different_product_textstring or null(Different Product Text)
Any of:

Custom display text for the product when linked to the service.

string
bill_untilstring or null(Bill Until)
Any of:

Date until which the product is billed for this service.

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Start date for the duration calculation of this service product.

string (date)
total_net_pricestring or null(Total Net Price)
Any of:

Total net price (net unit price × quantity). Calculated in the service layer. If different_price is set, it is used as net unit price. Intro price is ignored when different_price is set.

string
total_gross_pricestring or null(Total Gross Price)
Any of:

Total gross price (total net × (1 + tax rate)). Calculated in the service layer. Tax rate is taken from the product's tax type, even when different_price is used.

string
Response
{ "product_count": "1", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "different_price": "1.00", "different_product_text": "Different product text", "bill_until": "2022-01-01", "duration_start_date": "2021-01-01", "service_product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "product": { "product_number": 1, "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729", "description": "Product 1", "product_description": "Detailed description of Product 1", "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf", "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f", "discountable": true, "pro_rata": true, "cycle_type": "once", "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_unit": { … }, "product_group": { … }, "account": { … }, "terms": { … }, "product_features": [ … ], "current_price": { … } }, "total_net_price": "100.00", "total_gross_price": "119.00", "earliest_possible_termination_date": "2021-01-01" }

Get Service Products

Request

Retrieve all service products for a given service and customer.

Security
BearerAuth
Path
customer_idstring, (uuid4)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
GET
/customers/{customer_id}/services/{service_id}/products
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/customers/string/services/string/products' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

List of service products found.

Bodyapplication/json
Array [
service_product_idstring, (uuid4)(Service Product Id)required

Service-product link ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
service_idstring, (uuid4)(Service Id)required

Service ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
product_idstring, (uuid4)(Product Id)required

Product ID.

Example:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
last_changestring, (date-time)(Last Change)required
productobject(ProductCompactResponse)required
earliest_possible_termination_datestring or null(Earliest Possible Termination Date)read-onlyrequired
Any of:

Earliest possible termination date of the service product

string (date)read-only
product_countstring(Product Count)^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$

Quantity of the product on the service (supports fractional quantities).

Default:"1"
Example:"1"
date_activestring or null(Date Active)
Any of:

Date when this product becomes active on the service.

string (date)
date_deactivatestring or null(Date Deactivate)
Any of:

Date when this product is deactivated on the service.

string (date)
different_pricestring or null(Different Price)
Any of:

Overrides the product net price for this service. If set, intro price and intro duration of the product are ignored. Tax calculation still uses the product's tax type (no tax override).

string
different_product_textstring or null(Different Product Text)
Any of:

Custom display text for the product when linked to the service.

string
bill_untilstring or null(Bill Until)
Any of:

Date until which the product is billed for this service.

string (date)
duration_start_datestring or null(Duration Start Date)
Any of:

Start date for the duration calculation of this service product.

string (date)
total_net_pricestring or null(Total Net Price)
Any of:

Total net price (net unit price × quantity). Calculated in the service layer. If different_price is set, it is used as net unit price. Intro price is ignored when different_price is set.

string
total_gross_pricestring or null(Total Gross Price)
Any of:

Total gross price (total net × (1 + tax rate)). Calculated in the service layer. Tax rate is taken from the product's tax type, even when different_price is used.

string
]
Response
[ { "product_count": "1", "date_active": "2021-02-01", "date_deactivate": "2022-01-01", "different_price": "1.00", "different_product_text": "Different product text", "bill_until": "2022-01-01", "duration_start_date": "2021-01-01", "service_product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "service_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX", "last_change": "2019-08-24T14:15:22Z", "product": { … }, "total_net_price": "100.00", "total_gross_price": "119.00", "earliest_possible_termination_date": "2021-01-01" } ]

Read Service Attributes

Request

Return paginated service attributes.

Security
BearerAuth
Path
customer_idstring, (uuid4)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
Query
skipinteger(Skip)
Default:0
limitinteger(Limit)
Default:100
GET
/customers/{customer_id}/services/{service_id}/attributes
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/customers/string/services/string/attributes?skip=0&limit=100' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
total_countinteger(Total Count)required
itemsArray of objects(Items)required
Response
{ "total_count": 0, "items": [ { … } ] }

Create Service Attribute

Request

Create a service attribute.

Security
BearerAuth
Path
customer_idstring, (uuid)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
Bodyapplication/jsonrequired
service_attribute_key_idstring, (uuid4)(Service Attribute Key Id)required
value_stringstring or null(Value String)
Any of:
string
value_intinteger or null(Value Int)
Any of:
integer
value_decimalnumber or string or null(Value Decimal)
Any of:
number
value_boolboolean or null(Value Bool)
Any of:
boolean
value_datestring or null(Value Date)
Any of:
string (date)
value_datetimestring or null(Value Datetime)
Any of:
string (date-time)
POST
/customers/{customer_id}/services/{service_id}/attributes
# Example only: replace the instance URL, token and sample values before use.
curl --request POST \
  --url 'https://your-instance.example.invalid/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/string/attributes' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "service_attribute_key_id": "string",
  "value_string": "string",
  "value_int": 0,
  "value_decimal": 0,
  "value_bool": true,
  "value_date": "2019-08-24",
  "value_datetime": "2019-08-24T14:15:22Z"
}'

Responses

Successful Response

Bodyapplication/json
service_attribute_key_idstring, (uuid4)(Service Attribute Key Id)required
service_attribute_idstring, (uuid4)(Service Attribute Id)required
service_idstring, (uuid4)(Service Id)required
last_changestring, (date-time)(Last Change)required
value_stringstring or null(Value String)
Any of:
string
value_intinteger or null(Value Int)
Any of:
integer
value_decimalstring or null(Value Decimal)
Any of:
string
value_boolboolean or null(Value Bool)
Any of:
boolean
value_datestring or null(Value Date)
Any of:
string (date)
value_datetimestring or null(Value Datetime)
Any of:
string (date-time)
Response
{ "service_attribute_key_id": "string", "value_string": "string", "value_int": 0, "value_decimal": "string", "value_bool": true, "value_date": "2019-08-24", "value_datetime": "2019-08-24T14:15:22Z", "service_attribute_id": "string", "service_id": "string", "last_change": "2019-08-24T14:15:22Z" }

Read Service Attribute

Request

Return a service attribute by ID.

Security
BearerAuth
Path
customer_idstring, (uuid4)(Customer Id)required
service_idstring, (uuid4)(Service Id)required
service_attribute_idstring, (uuid4)(Service Attribute Id)required
GET
/customers/{customer_id}/services/{service_id}/attributes/{service_attribute_id}
# Example only: replace the instance URL, token and sample values before use.
curl --request GET \
  --url 'https://your-instance.example.invalid/customers/string/services/string/attributes/string' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Responses

Successful Response

Bodyapplication/json
[...]
